:root {
    color-scheme: light dark;
    --background-color: light-dark(#EFEFEF #320F00);
    --accent-orange: #FF4E01;
    --text-body: light-dark(#320F00 #EFEFEF);
}

#grain {
    animation: grain 8s steps(10) infinite;
    background-image: url("noise.png");
    content: "";
    height: 400%;
    left: -100%;
    opacity: 0.4;
    position: fixed;
    top: -200%;
    width: 400%;
    z-index: 99999999999;
    pointer-events: none;
}

@keyframes grain {
    0%, 100% { transform:translate(0, 0) }
    10% { transform:translate(-5%, -10%) }
    20% { transform:translate(-15%, 5%) }
    30% { transform:translate(7%, -25%) }
    40% { transform:translate(-5%, 25%) }
    50% { transform:translate(-15%, 10%) }
    60% { transform:translate(15%, 0%) }
    70% { transform:translate(0%, 15%) }
    80% { transform:translate(3%, 35%) }
    90% { transform:translate(-10%, 10%) }
}

* {
    font-family: usual, sans-serif;
    font-weight: 400;
    font-style: normal;
    font-size: 14pt;
    line-height: 1.4;
    transition: transform 0.15s;
    color: light-dark(#320F00 #EFEFEF);
}

html, body {
    background-color: var(--background-color);
}

h1 {
    font-family: legitima, serif;
    font-weight: 500;
    font-style: normal;
    text-transform: uppercase;
    font-size: 1.4rem;
    line-height: 1.4;
    letter-spacing: 1.1pt;
}

#container {
    position: absolute;
    top: 100px;
    left: 100px;
}

p#bio {
    text-wrap: pretty;
    max-width: 650px;
    margin-top: 2rem;
}

.work {
    text-decoration: underline;
    text-underline-offset: 2pt;
    color: var(--text-body);
    text-decoration-thickness: 0;
    font-weight: 600;
}

.work:hover {
    text-decoration-thickness: 1pt;
}

.work-bucks {
    text-decoration-color: #00471B;
}

@media (prefers-color-scheme: dark) {
    .work-bucks {
        text-decoration-color: #DFCAA4 !important;
    }
}

.work-inorbit {
    text-decoration-color: #FF4E01;
}

#selectedWork {
    list-style-type: none;
    padding: 0;
    display: flex;
    gap: 0.5rem;
    margin-bottom: 0.5rem;
}

#selectedWork a:hover img {
    transform: scale(104%);
}

#selectedWork a:active img {
    transform: scale(98%);
}

#selectedWork img {
    display: block;
    width: 12rem;
    height: 8rem;
    border: 1pt solid rgba(0,0,0,0.1);
    border-radius: 4pt;
}

#projectHoverInfo {
    margin-top: 0;
    opacity: 0.7;
}
#projectHoverInfo span#work-year {
    font-size: 1rem;
    font-family: legitima, serif;
    font-weight: 500;
    font-style: italic;
    padding-right: 0.5rem;
}
#projectHoverInfo span#work-desc {
    font-size: 0.7rem;
    font-family: usual, sans-serif;
    font-weight: 400;
    font-style: italic;
}



#links {
    margin-top: 3rem;
}
a.link {
    color: var(--text-body);
    text-decoration: none;
    text-underline-offset: 2pt;
    text-decoration-thickness: 1pt;
}

a.link:hover {
    text-decoration: underline;
}
.bold {
    font-weight: 600;
}

#edgeShape1 {
    position: fixed;
    transform: scale(150%);
    bottom: -5vh;
    right: -5vw;
    filter: blur(50pt);
    pointer-events: none;
}
#edgeShape2 {
    position: fixed;
    transform: scale(300%);
    bottom: -5vh;
    right: -5vw;
    filter: blur(100pt);
    pointer-events: none;
}


@media screen and (max-width: 1200px) {
    * {
        font-size: 28pt;
    }
    #container {
        top: 4rem;
        left: 2rem;
    }
    a.link {
        text-decoration: underline;
    }
    .work {
        text-decoration-thickness: 2pt;
    }
    p#bio {
        max-width: calc(100vw - 6rem);
    }
    #selectedWork {
        width: calc(100vw - 4rem);
        margin-left: -2rem;
        padding-left: 2rem;
        padding-right: 2rem;
        overflow-x: scroll;
        -ms-overflow-style: none;
        scrollbar-width: none;
    }
    #selectedWork::-webkit-scrollbar {
        display: none;
    }
    #selectedWork img {
        height: 12rem;
        width: auto;
    }
}